[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[linux-lvm] Broken compile scripts in LVM



Folks,

Some of the scripts use echo "string" > /dev/stderr when instead they should be using echo "string" >&2. I have attached a patch that fixes this problem. The result is that in automated builds, the stdout gets stomped if you use the first technique (resulting in loss of logging data).

Thanks.

-steve
diff -u3 lvm-1.0.5/scripts/iopver lvm-1.0.5-fixed/scripts/iopver
--- lvm-1.0.5/scripts/iopver	Tue Jan 22 06:54:13 2002
+++ lvm-1.0.5-fixed/scripts/iopver	Thu Oct  3 19:46:40 2002
@@ -48,21 +48,19 @@
 	sed -e 's/.*LVM_LIB_IOP_VERSION[[:space:]]*\([[:digit:]]*\).*/\1/'`;
 
 if [ -z "$ver1" ]; then
-	echo "Error: iopver can't determine the IOP version from $file1" > \
-		/dev/stderr;
+	echo "Error: iopver can't determine the IOP version from $file1" >&2 ;
 	exit -1;
 fi
 
 if [ -z "$ver2" ]; then
-        echo "Error: iopver can't determine the IOP version from $file2" > \    
-		/dev/stderr;
+        echo "Error: iopver can't determine the IOP version from $file2" >&2 ;
         exit -2;
 fi
 
 if [ "$ver1" != "$ver2" ]; then
-	echo -e "Error: iopver reading inconsistent IOP versions" > /dev/stderr
-	echo -e "IOP version $ver1 reported in $file1" > /dev/stderr
-	echo -e "IOP version $ver2 reported in $file2" > /dev/stderr
+	echo -e "Error: iopver reading inconsistent IOP versions" >&2
+	echo -e "IOP version $ver1 reported in $file1" >&2
+	echo -e "IOP version $ver2 reported in $file2" >&2
 	exit -3;
 fi	
 echo "$ver1"
diff -u3 lvm-1.0.5/scripts/linuxver lvm-1.0.5-fixed/scripts/linuxver
--- lvm-1.0.5/scripts/linuxver	Tue Jan 22 06:54:13 2002
+++ lvm-1.0.5-fixed/scripts/linuxver	Thu Oct  3 19:46:26 2002
@@ -42,7 +42,7 @@
 file="${linux_src}/Makefile";
 
 if [ ! -e $file ]; then
-	echo "linuxver - $file does not exist" > /dev/stderr;
+	echo "linuxver - $file does not exist" >&2;
 	exit -1;
 fi
 
@@ -69,7 +69,7 @@
 		echo "${major}.${minor}.${sublvl}";
 	fi;
 else
-	echo "linuxver: Unable to determine version of linux kernel in ${linux_src}" > /dev/stderr;
+	echo "linuxver: Unable to determine version of linux kernel in ${linux_src}" >&2;
 	exit -2;
 fi
 
diff -u3 lvm-1.0.5/scripts/lvmver lvm-1.0.5-fixed/scripts/lvmver
--- lvm-1.0.5/scripts/lvmver	Thu Aug 23 12:53:32 2001
+++ lvm-1.0.5-fixed/scripts/lvmver	Thu Oct  3 19:46:12 2002
@@ -46,8 +46,7 @@
 	sed -e 's/\(#define[[:blank:]]LVM_RELEASE_NAME[[:blank:]]*"\)\([-.[:alnum:]^\n]*\)\(".*\)/\2/'`;
 
 if [ -z "$ver" ]; then
-	echo "Error: iopver can't determine the IOP version from $file" > \
-		/dev/stderr;
+	echo "Error: iopver can't determine the IOP version from $file" >&2;
 	exit -1;
 fi
 
diff -u3 lvm-1.0.5/scripts/patch_fragment.sh lvm-1.0.5-fixed/scripts/patch_fragment.sh
--- lvm-1.0.5/scripts/patch_fragment.sh	Wed Aug 29 08:52:16 2001
+++ lvm-1.0.5-fixed/scripts/patch_fragment.sh	Thu Oct  3 19:44:37 2002
@@ -22,7 +22,7 @@
 relative=${orig:$((${#kernel_path} + 1))};
 
 if ! [ -a $new ]; then
-	echo "$new not found" > /dev/stderr
+	echo "$new not found" >&2
 	exit 2;
 fi
 

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]